/**
|-------------------------------------------------------------------------------
| Book.java
|-------------------------------------------------------------------------------
|
| Author:  Alwin Tareen
| Created: Jan 16, 2020
|
| The Book class defines methods to get the title of a book, find out if it is
| available, borrow the book, and return the book.
|
| Do not alter the contents of this file.
|
*/

public class Book
{
    String title;
    boolean borrowed;
    
    // Creates a new Book
    public Book(String bookTitle)
    {
        title = bookTitle;
        borrowed = false;
    }
    
    // Marks the book as rented
    public void rented()
    {
        borrowed = true;
    }
    
    // Marks the book as not rented
    public void returned()
    {
        borrowed = false;
    }
    
    // Returns true if the book is rented, false otherwise
    public boolean isBorrowed()
    {
        if (borrowed)
            return true;
        else
            return false;
    }
    
    // Returns the title of the book
    public String getTitle()
    {
        return title;
    }
}
